#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
# Based off Catalyst::Action::Deserialize::JSON
package Catalyst::Action::Deserialize::FormJSON;

use Moose;
use namespace::autoclean;

extends 'Catalyst::Action';
use JSON;

sub execute {
    my $self = shift;
    my ( $controller, $c, $test ) = @_;

    my $rbody;
    if ( exists $c->req->params->{json} ) {
        $rbody = $c->req->param("json");
    }

    if ($rbody) {
        my $json = JSON->new->utf8;
        if ( my $options = $controller->{json_options} ) {
            foreach my $opt ( keys %$options ) {
                $json->$opt( $options->{$opt} );
            }
        }
        my $rdata = eval { $json->decode($rbody) };
        if ($@) {
            return $@;
        }
        $c->request->data($rdata);
    }
    else {
        $c->log->debug('I would have deserialized, but there was nothing in the body!')
            if $c->debug;
    }

    if ( $c->req->param("windowname") ) {
        $c->stash( content_type_override => 'text/javascript' );
    }
    return 1;
}

1;
