#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
# Based off Catalyst::Action::Deserialize::JSON

package Catalyst::Action::Deserialize::XMLSerialisation;

use Moose;
use namespace::autoclean;

extends 'Catalyst::Action';

use Opsview::Utils::XMLSerialisation;
my $xmlserialiser = Opsview::Utils::XMLSerialisation->new;

sub execute {
    my $self = shift;
    my ( $controller, $c, $test ) = @_;

    my $body = $c->request->body;
    my $rbody;
    if ($body) {
        while ( my $line = <$body> ) {
            $rbody .= $line;
        }
    }

    if ($rbody) {
        my $rdata = eval { $xmlserialiser->deserialise($rbody) };
        if ($@) {
            return $@;
        }
        $c->request->data($rdata);
    }
    else {
        $c->log->debug('Nothing to deserialize') if $c->debug;
    }
    return 1;
}

1;
