#
# Catalyst::Action::Serialize::XML::Opsview.pm
# Created by: Adam Jacob, Marchex, <adam@marchex.com>
# Created on: 10/12/2006 03:00:32 PM PDT
#
#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

package Catalyst::Action::Serialize::XML::Opsview;

use strict;
use warnings;

use base 'Catalyst::Action';

#use Opsview::XML;

# Only use Opsview::XML for actual objects
# Will be a time when we need to return the object (GET /api/host/1)
# and possibly merge the result in the returned XML
# But that time is not now...
sub execute {
    my $self = shift;
    my ( $controller, $c ) = @_;

    if ( exists $c->stash->{result} ) {
        require XML::Simple;
        my $xs = XML::Simple->new( NoAttr => 1, RootName => "opsview" );
        my $output;
        eval { $output = $xs->XMLout( { result => $c->stash->{result} } ); };
        if ($@) {
            return $c->error($@);
        }
        $c->response->output($output);
    }
    return 1;
}

1;
