#
# Catalyst::Action::Serialize::XML::Status.pm
# Based on C::A::Serialize::XML::Simple.pm by Adam Jacob
#
#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

package Catalyst::Action::Serialize::XML::Status;

use strict;
use warnings;

use base 'Catalyst::Action';

use XML::Simple;

# Only change from C::A::Serialize::XML::Simple are the attributes for
# $xs. This should be in the config - patch later
sub execute {
    my $self = shift;
    my ( $controller, $c ) = @_;

    my $xs = XML::Simple->new( ForceArray => 0, RootName => "opsview" );
    my $stash_key = $controller->config->{'stash_key'} || "rest";
    my $output;
    eval { $output = $xs->XMLout( { data => $c->stash->{$stash_key} } ); };
    if ($@) {
        return $@;
    }
    $c->response->output($output);
    return 1;
}

1;
