#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
# Based off Catalyst::Action::Serialize::JSON

package Catalyst::Action::Serialize::XMLSerialisation;

use Moose;
use namespace::autoclean;

extends 'Catalyst::Action';

use Opsview::Utils::XMLSerialisation;
my $xmlserialiser = Opsview::Utils::XMLSerialisation->new;

sub execute {
    my $self = shift;
    my ( $controller, $c ) = @_;

    my $stash_key = (
          $controller->{'serialize'}
        ? $controller->{'serialize'}->{'stash_key'}
        : $controller->{'stash_key'}
        )
        || 'rest';

    my $output = $xmlserialiser->serialise( $c->stash->{$stash_key} );
    $c->response->output($output);
    return 1;
}

1;
