#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
package Opsview::Web::Controller::Admin::Exceptions;

use Moose;
use namespace::autoclean;

BEGIN { extends qw/Opsview::Web::ControllerBase::Admin/ }

__PACKAGE__->config(
    model_name          => "OpsviewDB::Servicecheck",
    title_create_string => "",
);

# retrieve_all_exceptions_by_service

sub list : Local : Args(1) : Does(ACL) : RequiresRole(CONFIGUREVIEW) : ACLDetachTo(/access_denied) : {
    my ( $self, $c, $id ) = @_;

    if ( !$id ) {
        $c->res->redirect( $c->uri_for("/") );
        $c->detach;
    }

    $c->stash( page_title => " > " . $c->loc("ui.admin.servicecheck.exceptions.title.forServiceCheck") . ": " . $c->stash->{object}->{name} );

    my @list = $c->model("OpsviewDB::Servicecheck")->retrieve_all_exceptions_by_service($id);
    $c->stash( exceptions => \@list );

}

1;
