#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
package Opsview::Web::Controller::Admin::Snmptrapdebug;

use Moose;
use namespace::autoclean;

BEGIN { extends qw/Opsview::Web::ControllerBase::Admin/ }

__PACKAGE__->config(
    model_name          => 'OpsviewDB::Snmptrapdebug',
    title_create_string => "",
    title_new_string    => "",
);

# Unused
sub edit       { }
sub create_new { }
sub clone      { }
sub save_new   { }
sub save       { }
sub delete     { }

before 'list' => sub {
    my ( $self, $c ) = @_;
    $c->stash( title_description => $c->loc("ui.objecttype.snmptrapdebug") );
};

sub delete_all : Local {
    my ( $self, $c ) = @_;
    $c->forward("/admin/check_save_access");

    Opsview::Auditlog->create(
        {   username => $c->user->username,
            text     => "SNMP trap debugs: deleting all"
        }
    );
    $c->model("OpsviewDB::Snmptrapruledebug")->retrieve_all->delete_all;
    $c->model("OpsviewDB::Snmptrapdebug")->retrieve_all->delete_all;
    $c->model("OpsviewDB::Snmptrapexception")->sql_delete_debug->execute;
    $c->res->body(" ");
}

1;
