#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
package Opsview::Web::Controller::Graph::Style::embed;

use strict;
use warnings;

use base qw/Catalyst::Controller/;

__PACKAGE__->config( description => "Graph for embedding", );

sub override : Private {
    my ( $self, $c ) = @_;
    my $params = $c->stash->{query_params};

    # Set reasonable defaults for this style
    $params->{duration} = "3d"  unless exists $params->{duration};
    $params->{height}   = "100" unless exists $params->{height};

    # Set empty wrapper
    #$c->stash(wrapper => 'wrappers/emptyhtml');
    $c->stash( include_header => 0 );
    $c->stash( include_footer => 0 );

    # Set page title
    $c->stash->{page_title} .= " > " . $c->loc("ui.graph.summary.title");
}

1;
