#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
package Opsview::Web::Controller::Graphrrd::Style::summary;

use strict;
use warnings;

use base qw/Catalyst::Controller/;

__PACKAGE__->config( description => "Two week summary", );

sub override : Private {
    my ( $self, $c ) = @_;
    my $params = $c->req->params;

    # Set reasonable defaults for this style
    $params->{duration} = "3d"  unless exists $params->{duration};
    $params->{height}   = "100" unless exists $params->{height};

    my $results = $c->stash->{results};
    if ( $results->{summary}->{hosts} == 1 && $results->{summary}->{services} == 1 ) {
        $c->stash->{page_title} .= " > " . join( "::", keys %{ $results->{hosts} }, keys %{ $results->{services} } );
    }
    else {
        $c->stash->{page_title} .= " > " . $c->loc("ui.graph.summary.title");
    }
}

1;
