#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

# This is really public. Use this for all publicly available resources through Catalyst
package Opsview::Web::Controller::Pub;

use strict;
use warnings;

use base qw/Catalyst::Controller/;

sub auto : Private {
    my ( $self, $c ) = @_;
    $c->stash( additional_template_paths => [ $c->path_to( 'root', $c->action->namespace )->stringify ] );
}

sub ylabel : Path('ylabel.svg') {
    my ( $self, $c ) = @_;
    $c->stash( disable_cache => 1 );
    $c->res->content_type("image/svg+xml");
    $c->stash( template => "ylabel.svg" );
    $c->stash( wrapper  => "wrappers/blank" );
}

1;
