#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
package Opsview::Web::Controller::REST::Config::Monitoringserver;

use Moose;
use namespace::autoclean;

BEGIN { extends 'Opsview::Web::ControllerBase::Config' }

__PACKAGE__->config( model_name => "OpsviewSchema::Monitoringservers", );

sub objecttype : Chained("/rest/config_root") : CaptureArgs(0) : PathPart("monitoringserver") : Does(ACL) : RequiresRole(CONFIGUREVIEW) : ACLDetachTo(/access_denied) {
}

# Do not allow PUT/POST/DELETE on object or objecttype
sub no_method {
    my ( $self, $c ) = @_;
    $c->res->status(405);
    $c->stash( "rest" => { message => "Method " . $c->req->method . " not available" } );
    $c->detach;
}

*list_PUT      = \&no_method;
*list_POST     = \&no_method;
*object_PUT    = \&no_method;
*object_POST   = \&no_method;
*object_DELETE = \&no_method;

1;
