#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
package Opsview::Web::Controller::REST::Status::Hostgroup;

use Moose;
use namespace::autoclean;

BEGIN { extends 'Catalyst::Controller::ActionRole', 'Opsview::Web::ControllerBase::REST' }

sub apply_restrictions : Private {
    my ( $self, $c ) = @_;
    my $rs = $c->model("RuntimeSchema::OpsviewHostgroups");
    $rs = $c->forward( "/common/apply_restrictions", [ $rs, { "hostgroup_hosts" => { "host_objects" => "contacts" } } ] );
    $c->stash( rs => $rs );
}

sub hostgroup : Chained("/rest/status_root") : PathPart("hostgroup") : Args(0) : ActionClass('REST') {
    shift->apply_restrictions(shift);
}

sub hostgroup_GET : Does(ACL) : AllowedRole(VIEWSOME) : AllowedRole(VIEWALL) : ACLDetachTo(/access_denied) {
    my ( $self, $c ) = @_;

    my $rs     = $c->stash->{rs};
    my $args   = $c->stash->{status_params} || { %{ $c->req->params } };
    my $result = $rs->list_summary($args);

    $c->stash( 'rest' => $result );
}

1;
