#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
package Opsview::Web::Controller::Viewport::Style::errors_and_host_cells;

use strict;
use warnings;

use base qw/Catalyst::Controller/;

sub custom : Private {
    my ( $self, $c ) = @_;

    # Force the order based on state
    my $args = { %{ $c->req->params } };
    $args->{order}                 = "state_desc";
    $args->{includeunhandledhosts} = 1;
    $c->stash( status_params => $args );

    return 0;
}

sub override : Private {
    my ( $self, $c ) = @_;

    my $data = $c->stash->{status_data};

    # Get list of hosts
    my $hosts = {};
    foreach my $host ( @{ $data->{list} } ) {
        $hosts->{ $host->{name} } = $host if not exists $hosts->{ $host->{name} };
    }
    my @hosts_list = map { $hosts->{$_} } ( sort keys %$hosts );
    $c->stash( host_data => \@hosts_list );

    return 1;
}

1;
