#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
# Use this to allow /state/{type}/{id}/detail

package Opsview::Web::ControllerBase::Detail;
use base qw(Catalyst::Controller);

sub do_detail : Private {
    my ( $self, $c ) = @_;
    delete $c->stash->{wrapper};
    $c->stash( template => "detail" );
    $c->stash->{page_title} .= " > " . $c->stash->{title_description} if $c->stash->{title_description};
}

sub detail_by_id_end : PathPart('detail') Chained('by_id') : Args(0) {
    shift->do_detail(@_);
}

sub detail_by_name_end : PathPart('detail') Chained('by_name') : Args(0) {
    shift->do_detail(@_);
}

1;
