#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
# Use this to allow menus to be enabled/disabled via URLs
# Requires ControllerBase/Chained - must come after this in use base
# because we set the template before menus is actually called.
# This is because errors need to use the blank wrapper

package Opsview::Web::ControllerBase::Menus;
use base qw(Catalyst::Controller);

use MRO::Compat;

sub common : Private {
    my ( $self, $c ) = @_;
    $self->next::method($c);
}

sub do_menus : Private {
    my ( $self, $c ) = @_;
    if ( my $via = $c->req->param("via") ) {
        $c->stash( via => $via );
    }
    $c->stash( template => "menu" );
    $c->stash( wrapper  => "wrappers/menu" );
}

sub menus_by_id_end : PathPart('menus') Chained('by_id') : Args(0) {
    shift->do_menus(@_);
}

sub menus_by_name_end : PathPart('menus') Chained('by_name') : Args(0) {
    shift->do_menus(@_);
}

1;
