#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
package Opsview::Web::View::TT;

use strict;
use base 'Catalyst::View::TT';

__PACKAGE__->config(
    {   WRAPPER  => 'wrapper',
        ENCODING => 'UTF-8',
    }
);

# This doesn't appear to work by putting into config.
# I think this is a global setting - not sure if other Views will
# require this line
# Needed when listing with page=all because effectively listing every host
# Also limit is hit when displaying all hosts in the keyword edit page - see OPS-1444 for future fix
$Template::Directive::WHILE_MAX = 100000;

use Template::Filters;    # Need to use, so that we can have access to $Template::Filters::FILTERS
$Template::Filters::FILTERS->{escape_js_string} = \&escape_js_string;

sub escape_js_string {
    my $s = shift;
    $s =~ s/(\\|'|"|\/)/\\$1/g;
    return $s;
}

$Template::Filters::FILTERS->{markdown} = \&markdown;

use Text::Markdown;

sub markdown {
    my $s = shift;
    $s =~ s/</&lt;/g;
    $s =~ s/>/&gt;/g;
    my $m = Text::Markdown->new;
    return $m->markdown($s);
}

1;
